Open CASCADE Technology: PDataStd_ReferenceArray Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_ReferenceArray Class Reference

`#include <PDataStd_ReferenceArray.hxx>`

Inheritance diagram for PDataStd_ReferenceArray:
[legend]

## Public Member Functions
| PDataStd_ReferenceArray ()
void | Init (const Standard_Integer lower, const Standard_Integer upper)
void | SetValue (const Standard_Integer index, const Handle< PCollection_HExtendedString > &value)
Handle < PCollection_HExtendedString > | Value (const Standard_Integer index) const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
| PDataStd_ReferenceArray (const Storage_stCONSTclCOM &a)
Handle < PColStd_HArray1OfExtendedString > | _CSFDB_GetPDataStd_ReferenceArraymyValue () const
void | _CSFDB_SetPDataStd_ReferenceArraymyValue (const Handle< PColStd_HArray1OfExtendedString > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_ReferenceArray::PDataStd_ReferenceArray | ( |  | ) |

PDataStd_ReferenceArray::PDataStd_ReferenceArray | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PColStd_HArray1OfExtendedString > PDataStd_ReferenceArray::_CSFDB_GetPDataStd_ReferenceArraymyValue | ( |  | ) | const
| inline

void PDataStd_ReferenceArray::_CSFDB_SetPDataStd_ReferenceArraymyValue | ( | const Handle< PColStd_HArray1OfExtendedString > & | p | ) |
| inline

void PDataStd_ReferenceArray::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |  |

Standard_Integer PDataStd_ReferenceArray::Lower | ( |  | ) | const

void PDataStd_ReferenceArray::SetValue | ( | const Standard_Integer | index,
|  | const Handle< PCollection_HExtendedString > & | value
| ) |  |

Standard_Integer PDataStd_ReferenceArray::Upper | ( |  | ) | const

Handle< PCollection_HExtendedString > PDataStd_ReferenceArray::Value | ( | const Standard_Integer | index | ) | const

The documentation for this class was generated from the following file:

- PDataStd_ReferenceArray.hxx